man(1)

NAME
guhd - An open source IoT (Internet of Things) server

SYNOPSIS
guhd [OPTION]

DESCRIPTION
guh (/[guːh]/) is an open source IoT (Internet of Things) server, which allows to control a lot of different devices from many different manufacturers. With the powerful rule engine you are able to connect any device available in the system and create individual scenes and behaviors for your environment.

OPTIONS

-h, --help
    Displays this help.

-v, --version
    Displays version information.

-n, --no-daemon
    Run guhd in the foreground, not as daemon.

-p, --print-all
    Enables all debug categories. This parameter overrides all debug category parameters.

-d, --debug, <[No]DebugCategory>
    Debug categories to enable. In order to disable a category which is enabled by default, you can add categories will be printed unless they are explicitly muted with "NoWarnings".

    Main debug categories:

    Application (default enabled)
        Print the debug messages from the core application.

    Connection (default enabled)
        Print the debug messages from the TCP connections in guh.

    DeviceManager (default enabled)
        Print the debug messages from the device manager.

    Hardware (default disabled)
        Print the debug messages from hardware resources in guh.

    JsonRpc (default enabled)
        Print the debug messages from JSON-RPC API.

    LogEngine (default disabled)
        Print the debug messages from logging engine.

    OAuth2 (default disabled)
        Print the debug messages of the OAuth2 resource.

    Rest (default enabled)
        Print the debug messages from REST API.

    RuleEngine (default enabled)
        Print the debug messages from the rule engine.

    TcpServer (default disabled)
        Print the debug messages from the TCP server.

    Warning (default enabled)
        Print warnings.

    WebServer (default enabled)
        Print the debug messages from the web server.

    WebSocketServer (default enabled)
        Print the debug messages from the websocket server.

    Debug categories for plugins:
        Since guh loads the plugins dynamically, the list of supported plugin debug categories depends on your plugin installation. Please use the -h command to see which categories are available for your system.

EXAMPLES

To start guhd in the foreground and read the debug messages from the Hardware:

    $ guhd -n -d Hardware

To start guhd in the foreground, disable debug messages from the DeviceManager
    and enable debug messages for JsonRpc and LogEngine:

    $ guhd -n -d NoDeviceManager -d JsonRpc -d LogEngine

FILES
The server config file: /etc/guh/guhd.conf
The devices config file: /etc/guh/devices.conf
The rules config file: /etc/guh/rules.conf
The plugins config file: /etc/guh/plugins.conf
The log file: /var/log/guhd.log
The logging database: /var/log/guhd.sqlite
The systemd unit file: /etc/systemd/system/guhd.service
The plugins directory: /usr/lib/guh/plugins/

SEE ALSO
Full developer documentation at: <http://dev.guh.guru>
Wiki on github: <https://github.com/guh/guh/wiki>

REPORTING BUGS
Issue tracker on github: <https://github.com/guh/guh/issues>
How to report bugs: <https://github.com/guh/guh/wiki/Reporting-bugs>

AUTHOR
Written by Simon Stürz and Michael Zanetti

COPYRIGHT
Copyright © 2014-2016 guh GmbH.
License GPLv2: GNU GPL version 2 <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.